#include "DataSetBankAccount.h"
#include "BankAccount.h"

DataSetBankAccount::DataSetBankAccount() : maximum()
{
  this->sum = 0.0;
  this->count = 0;
}

void DataSetBankAccount::add(BankAccount x)
{
   this->sum += x.getBalance();
   if (count == 0 || maximum.getBalance() < x.getBalance()) maximum = x;
   count++;
}

double DataSetBankAccount::getAverage()
{
   if (count == 0) return 0;
     else return sum/count;
}

BankAccount DataSetBankAccount::getMaximum()
{
   return maximum;
}
